Package org.eclipse.microprofile.fault.tolerance.tck.metrics.common

# Enum FallbackMetricBean.Action

java.lang.Object
java.lang.Enum<FallbackMetricBean.Action>
org.eclipse.microprofile.fault.tolerance.tck.metrics.common.FallbackMetricBean.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<FallbackMetricBean.Action>`

Enclosing class:
  FallbackMetricBean

public static enum FallbackMetricBean.Action extends Enum<FallbackMetricBean.Action>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAIL`
`NON_FALLBACK_EXCEPTION`
`PASS`

## Method Summary

Modifier and Type
Method
Description
`static FallbackMetricBean.Action`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FallbackMetricBean.Action[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PASS

public static final FallbackMetricBean.Action PASS

### FAIL

public static final FallbackMetricBean.Action FAIL

### NON_FALLBACK_EXCEPTION

public static final FallbackMetricBean.Action NON_FALLBACK_EXCEPTION

## Method Details

### values

public static FallbackMetricBean.Action[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FallbackMetricBean.Action valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null